version: "3.8"

services:
  api:
    container_name: mo_api
    build:
      context: .
      dockerfile: Dockerfile
      # PRO dockerfile: Dockerfile
    ports:
      - "${API_PORT}:8080"
    volumes:
      - .:/app
      - ./kubeconfig.yaml:/root/.kube/config.yaml
    env_file:
      - .env

    # depends_on:
    #   - db

  # db:
  #   image: postgres:13-alpine
  #   environment:
  #     POSTGRES_USER: user
  #     POSTGRES_PASSWORD: password
  #     POSTGRES_DB: mydatabase
  #   ports:
  #     - "5432:5432"
